## ros-iron-moveit-chomp-optimizer-adapter 2.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
project(moveit_chomp_optimizer_adapter LANGUAGES CXX)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(chomp_motion_planner REQUIRED)
find_package(moveit_core REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rsl REQUIRED)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  chomp_motion_planner
  moveit_core
  pluginlib
  rclcpp
  rsl
)

add_library(moveit_chomp_optimizer_adapter SHARED src/chomp_optimizer_adapter.cpp)
set_target_properties(moveit_chomp_optimizer_adapter PROPERTIES VERSION "${moveit_chomp_optimizer_adapter_VERSION}")
ament_target_dependencies(moveit_chomp_optimizer_adapter ${THIS_PACKAGE_INCLUDE_DEPENDS})

install(
  TARGETS moveit_chomp_optimizer_adapter
  EXPORT moveit_chomp_optimizer_adapterTargets
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
)

ament_export_targets(moveit_chomp_optimizer_adapterTargets HAS_LIBRARY_TARGET)

pluginlib_export_plugin_description_file(moveit_core chomp_optimizer_adapter_plugin_description.xml)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_flake8_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)
  set(ament_cmake_lint_cmake_FOUND TRUE)

  # Run all lint tests in package.xml except those listed above
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-iron-moveit-chomp-optimizer-adapter (2.8.0-1jammy) jammy; urgency=high

  * Remove added path index from planner adapter function signature (#2285 <https://github.com/ros-planning/moveit2/issues/2285>)
  * Contributors: Sebastian Jahr

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sat, 09 Sep 2023 22:00:00 -0000

ros-iron-moveit-chomp-optimizer-adapter (2.7.4-1jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 17 May 2023 22:00:00 -0000

ros-iron-moveit-chomp-optimizer-adapter (2.7.3-1jammy) jammy; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sun, 23 Apr 2023 22:00:00 -0000

ros-iron-moveit-chomp-optimizer-adapter (2.7.2-1jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Mon, 17 Apr 2023 22:00:00 -0000

ros-iron-moveit-chomp-optimizer-adapter (2.7.1-1jammy) jammy; urgency=high

  * remove underscore from public member in MotionPlanResponse (#1939 <https://github.com/ros-planning/moveit2/issues/1939>)
    * remove underscore from private members
    * fix more uses of the suffix notation
  * Contributors: AlexWebb

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 22 Mar 2023 23:00:00 -0000

ros-iron-moveit-chomp-optimizer-adapter (2.7.0-1jammy) jammy; urgency=high

  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Use a stronger source of randomness (#1721 <https://github.com/ros-planning/moveit2/issues/1721>)
    * Remove use of deprecated std::random_shuffle
    * Replace random number generators with rsl::rng
    * Utilize rsl::uniform_real
  * Contributors: Chris Thrasher, Christian Henkel

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sat, 28 Jan 2023 23:00:00 -0000

ros-iron-moveit-chomp-optimizer-adapter (2.6.0-1jammy) jammy; urgency=high

  * Short-circuit planning adapters (#1694 <https://github.com/ros-planning/moveit2/issues/1694>)
    * Revert "Planning request adapters: short-circuit if failure, return code rather than bool (#1605 <https://github.com/ros-planning/moveit2/issues/1605>)"
    This reverts commit 66a64b4a72b6ddef1af2329f20ed8162554d5bcb.
    * Add debug message in call stack of planning_request_adapters
    * Short-circuit planning request adapters
    * Replace if-elseif cascade with switch
    * Cleanup translation of MoveItErrorCode to string
    - Move default code to moveit_core/utils
    - Override defaults in existing getActionResultString()
    - Provide translations for all error codes defined in moveit_msgs
    * Fix comment according to review
    * Add braces
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
    * Add braces
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
  * Planning request adapters: short-circuit if failure, return code rather than bool (#1605 <https://github.com/ros-planning/moveit2/issues/1605>)
    * Return code rather than bool
    * Remove all debug prints
    * Small fixup
    * Minor cleanup of comment and error handling
    * void return from PlannerFn
    * Control reaches end of non-void function
    * Use a MoveItErrorCode cast
    * More efficient callAdapter()
    * More MoveItErrorCode
    * CI fixup attempt
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Contributors: AndyZe, Robert Haschke, Sebastian Jahr

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 09 Nov 2022 23:00:00 -0000

ros-iron-moveit-chomp-optimizer-adapter (2.5.3-1jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 27 Jul 2022 22:00:00 -0000

ros-iron-moveit-chomp-optimizer-adapter (2.5.2-1jammy) jammy; urgency=high

  * Remove unnecessary rclcpp.hpp includes (#1333 <https://github.com/ros-planning/moveit2/issues/1333>)
  * Update plugin library paths (#1304 <https://github.com/ros-planning/moveit2/issues/1304>)
  * Contributors: Jafar, Sebastian Jahr

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sun, 17 Jul 2022 22:00:00 -0000

ros-iron-moveit-chomp-optimizer-adapter (2.5.1-1jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Mon, 30 May 2022 22:00:00 -0000

ros-iron-moveit-chomp-optimizer-adapter (2.5.0-1jammy) jammy; urgency=high

  * Make TOTG the default time-parameterization algorithm everywhere (#1218 <https://github.com/ros-planning/moveit2/issues/1218>)
  * Make moveit_common a 'depend' rather than 'build_depend' (#1226 <https://github.com/ros-planning/moveit2/issues/1226>)
  * Remove unused parameters. (#1018 <https://github.com/ros-planning/moveit2/issues/1018>)
  * Contributors: AndyZe, Cory Crean, Jafar, Robert Haschke, jeoseo

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 25 May 2022 22:00:00 -0000

ros-iron-moveit-chomp-optimizer-adapter (2.4.0-1jammy) jammy; urgency=high

  * moveit_build_options()
    Declare common build options like CMAKE_CXX_STANDARD, CMAKE_BUILD_TYPE,
    and compiler options (namely warning flags) once.
    Each package depending on moveit_core can use these via moveit_build_options().
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 19 Jan 2022 23:00:00 -0000

ros-iron-moveit-chomp-optimizer-adapter (2.3.2-1jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Tue, 28 Dec 2021 23:00:00 -0000

ros-iron-moveit-chomp-optimizer-adapter (2.3.1-1jammy) jammy; urgency=high

  * Port CHOMP Motion Planner to ROS 2 (#809 <https://github.com/ros-planning/moveit2/issues/809>)
  * Contributors: Henning Kayser, andreas-botbuilt



=== debian/control ===
Source: ros-iron-moveit-chomp-optimizer-adapter
Section: misc
Priority: optional
Maintainer: Raghavender Sahdev <raghavendersahdev@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-chomp-motion-planner, ros-iron-moveit-common, ros-iron-moveit-core, ros-iron-pluginlib (>= 1.11.2), ros-iron-rsl, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-moveit-chomp-optimizer-adapter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-chomp-motion-planner, ros-iron-moveit-common, ros-iron-moveit-core, ros-iron-pluginlib (>= 1.11.2), ros-iron-rsl, ros-iron-ros-workspace
Description: MoveIt planning request adapter utilizing chomp for solution optimization

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-moveit-chomp-optimizer-adapter//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
